package org.jboss.cache.aop.collection;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jboss.cache.aop.PojoCache;
import org.jboss.cache.PropertyConfigurator;

//import org.jboss.test.JBossTestCase;


/**
 * List implementation testing.
 */

public class CachedListImplAopTest extends TestCase
{
   Log log=LogFactory.getLog(CachedListImplAopTest.class);
   PojoCache cache_;

   public CachedListImplAopTest(String name)
   {
      super(name);
   }


   protected void setUp() throws Exception
   {
      super.setUp();
      log.info("setUp() ....");
      String configFile = "META-INF/local-service.xml";
      cache_ = new PojoCache();
      PropertyConfigurator config = new PropertyConfigurator();
      config.configure(cache_, configFile); // read in generic replSync xml
      cache_.start();
   }

   protected void tearDown() throws Exception
   {
      super.tearDown();
      cache_.stop();
   }

   public void testDummy()
   {

   }

   public static Test suite() throws Exception
   {
      return new TestSuite(CachedListImplAopTest.class);
   }

   public static void main(String[] args) throws Exception
   {
      junit.textui.TestRunner.run(suite());
   }

}

